Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class DSAPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.DSAKeyParameters
              org.bouncycastle.crypto.params.DSAPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

    public class DSAPrivateKeyParameters

extends DSAKeyParameters

Constructor Summary
`DSAPrivateKeyParameters(java.math.BigInteger x, DSAParameters params)`

Method Summary
`java.math.BigInteger` | `getX()`

Methods inherited from class org.bouncycastle.crypto.params.DSAKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DSAPrivateKeyParameters

    public DSAPrivateKeyParameters(java.math.BigInteger x,
                                   DSAParameters params)

Method Detail

### getX

    public java.math.BigInteger getX()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD